Contents

# Line Input# Statement

Reads a line from a sequential file into a variable.

### Syntax:

    Line Input #fileNum, variable

### Parameters:

fileNum: Number of the file that contains the data that you want to read. The file must have been opened in advance with the Open statement using the key word INPUT.

variable: The name of the variable that stores the result.

Line Input# 문을 사용하면 열린 파일에서 변수로 문자열을 읽어올 수 있습니다. 문자열 변수는 첫 번째 캐리지 리턴(Asc=13) 또는 줄 바꿈(Asc=10)까지 줄 단위로 읽습니다. 줄 끝 표시는 결과 문자열에 포함되지 않습니다.

### Example:

      Sub ExampleWorkWithAFile
          Dim iNumber As Integer
          Dim sLine As String
          Dim aFile As String
          Dim sMsg As String
          aFile = "C:\Users\ThisUser\data.txt"
          iNumber = Freefile
          Open aFile For Output As #iNumber
          Print #iNumber, "This is a line of text"
          Print #iNumber, "다른 줄 텍스트입니다."
          Close #iNumber
          iNumber = Freefile
          Open aFile For Input As iNumber
          While Not eof(iNumber)
              Line Input #iNumber, sLine
              If sLine <>"" Then
                  sMsg = sMsg & sLine & chr(13)
              End If
          Wend
          Close #iNumber
          MsgBox sMsg
      End Sub

      Sub ExampleWorkWithAFile
          Dim iNumber As Integer
          Dim sLine As String
          Dim aFile As String
          Dim sMsg As String
          aFile = "~/data.txt"
          iNumber = Freefile
          Open aFile For Output As #iNumber
          Print #iNumber, "This is a line of text"
          Print #iNumber, "다른 줄 텍스트입니다."
          Close #iNumber
          iNumber = Freefile
          Open aFile For Input As iNumber
          While Not eof(iNumber)
              Line Input #iNumber, sLine
              If sLine <>"" Then
                  sMsg = sMsg & sLine & chr(13)
              End If
          Wend
          Close #iNumber
          MsgBox sMsg
      End Sub

관련 주제

Open Statement

Print# Statement

Write# Statement